Allow vertical <gallery>
Closed, ResolvedPublic

Description

Author: Joshua_Sherurcij

Description:
Discussion on Wikisource seemed to suggest that it would be useful if there were
a tag similar to <gallery> that allowed 4 or 5 images to be displayed in a
VERTICAL gallery, rather than horizontally - allowing the images to run down the
side of the page - particularly for documents such as a 5 page letter or
something, so the original Gettysburg Address or whatever is uniform and
"galleries", but running vertically along the text.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6987.
bzimport created this task.Via LegacyAug 12 2006, 4:28 AM
bzimport added a comment.Via ConduitFeb 2 2007, 3:34 AM

ayg wrote:

Fixed in r19721 (in a much more flexible way than the suggestion).

bzimport added a comment.Via ConduitFeb 7 2007, 12:31 AM

ekb87ds02 wrote:

If you take a div as container, and put divs for the images inside of that and
float these to the left, they'll automatically order themselves into a grid (or
vertical strip if you make the container small enough). That way you don't have
to keep browser width in mind.

You do have to make sure the blocks are all the same height though. For an even
better solution I've tried to make the image divs behave like inline elements so
they would also line up if they aren't all the same height, but I wasn't able to
make that work.

bzimport added a comment.Via ConduitFeb 7 2007, 12:38 AM

ayg wrote:

That's bug 3276. I'll respond there.

bzimport added a comment.Via ConduitApr 6 2007, 5:22 PM

robchur wrote:

*** Bug 9510 has been marked as a duplicate of this bug. ***

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:50 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:52 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.